meteor在armv6l(覆盆子pi)

我喜欢meteor的样子,从来没有尝试过,认为这将成为我的覆盆子pinetworking仪表板的一个很好的平台。 试了推荐的安装程序,得到这个:

$ curl install.meteor.com | /bin/sh Unable to install Meteor on unsupported architecture: armv6l Installation failed. 

那么,我不会采取躺下! 我会尝试手动安装它,但有任何人已经尝试/失败/成功了吗? 有小费吗?

       

网上收集的解决方案 "meteor在armv6l(覆盆子pi)"

你可以在github上find一个meteor的叉子叫meteor万向叉 。 对于像ARM和BSD这样的不受支持的体系结构,已经可以使用安装程序了。

对于安装只需运行:

 cd $HOME git clone --depth 1 https://github.com/4commerce-technologies-AG/meteor.git 

然后获取二进制文件并完成安装:

 $HOME/meteor/meteor --version 

第一次运行上述命令将尝试下载兼容的预builddev_bundle并完成安装。 根据您的硬件,这可能需要一些时间。

显然,现在有raspi的预编译包。 唉,很久以前我就失去了兴趣 – 预编译包的细节在这里: http : //meteor-universal.tumblr.com/

(感谢@ Archonic – 请参阅下面的评论 – 如果您想要一个真正的答案,我会很乐意改变这个问题的接受答案。)

我将保留下面的文本以供参考。


(更新,因为我去…)

注意:虽然在安装了ruby,passenger和padrino(以及所有的依赖关系)之后,我仍然在debian的图片上做这件事。 Archlinux可能会更容易,我不知道。

  1. 安装node.js

    默认情况下不工作,按照说明在这里

  2. 结帐meteor

     git clone git://github.com/meteor/meteor.git 
  3. 修改admin / generate-dev-bundle.sh

    从本质上讲,删除关于构buildnode.js和所有对tempdir的引用的所有说明,所以最终只安装节点包。 一旦全部弄清楚了,我会把它作为要点发布。

    然后,运行它在一个空的文件夹

  4. 安装mongodb。 从源头上。

    cd到提取的目录,并使用scons进行安装

     sudo apt-get install scons libboost-all-dev scons libboost-dev libpcre++-dev xulrunner-1.9.1-dev 

(注意:我很快就会完成这个工作,我想这个技巧可能是使用meteor的捆绑function – 尤其是红色的大红色盒子http://docs.meteor.com/#deploying – 但不幸的是我的pi已经崩溃了,而我离家出走,如果发现有问题请发帖,我会相应地更新这个答案或者接受你的回答)